import { Service } from '@/Service/Service';
/*****用户接口*****/
class NvpApplyService {
	// private static WithDrawPath: string = '/With/WithDraw';
	// /*****佣金提现*****/
	// static WithDraw(money: number, name: string, account: string) {
	// 	var result = Service.Request(this.WithDrawPath, "POST", { money, name, account });
	// 	return result;
	// }

	private static GetSiteMccCodeListPath: string = '/Apply/GetSiteMccCodeList';
	/*****获取mcc列表*****/
	static GetSiteMccCodeList(mercType:string, mchType: string) {
		var result = Service.Request(this.GetSiteMccCodeListPath, "GET", {mercType, mchType });
		return result;
	}
	
	
	
	
	
	private static GetBankTypeListPath: string = '/Apply/GetBankTypeList';
	/*****获取银行列表*****/
	static GetBankTypeList(name:string) {
		var result = Service.Request(this.GetBankTypeListPath, "GET", {name});
		return result;
	}
	
	
	private static GetAreaListPath: string = '/Apply/GetAreaList';
	/*****获取银行地区列表*****/
	static GetAreaList(areaCode:string) {
		var result = Service.Request(this.GetAreaListPath, "GET", {  areaCode});
		return result;
	}
	
	
	
	private static GetBankCodeListPath: string = '/Apply/GetBankCodeList';
	/*****获取银行代码列表*****/
	static GetBankCodeList(bankType:string,cityCode:string,name:string) {
		var result = Service.Request(this.GetBankCodeListPath, "GET", {bankType,cityCode,name});
		return result;
	}
	
	
	private static SendApplyMerchPath: string = '/Apply/SendApplyMerch';
	/*****进价提交*****/
	static SendApplyMerch(para:any) {
		var result = Service.Request(this.SendApplyMerchPath, "POST", para);
		return result;
	}
	
	private static GetAgentMerchLogPath: string = '/Apply/GetAgentMerchLog';
	/*****获取待审核*****/
	static GetAgentMerchLog() {
		var result = Service.Request(this.GetAgentMerchLogPath, "GET", {});
		return result;
	}
	
	
	
	private static AuditApplyPath: string = '/Apply/AuditApply';
	/*****确认资料*****/
	static AuditApply(outId:string) {
		var result = Service.Request(this.AuditApplyPath, "POST", {outId});
		return result;
	}
	
	private static SetPayFeePath: string = '/Apply/SetPayFee';
	/*****确认资料*****/
	static SetPayFee(outId:string) {
		var result = Service.Request(this.SetPayFeePath, "POST", {outId});
		return result;
	}
	
	
	private static GetAssortListPath: string = '/Apply/GetAssortList';
	/*****获取v派分类*****/
	static GetAssortList(code:string) {
		var result = Service.Request(this.GetAssortListPath, "GET", {code,parent:'0'});
		return result;
	}
	
	
	private static GetAgentMerchPath: string = '/Agent/GetAgentMerch';
	/*****获取已开通商家*****/
	static GetAgentMerch(type:number,page:number) {
		var result = Service.Request(this.GetAgentMerchPath, "GET", {type,page});
		return result;
	}
	
	
	private static GetAppMerchInfoPath: string = '/Apply/GetAppMerchInfo';
	/*****获取银盛已填写信息*****/
	static GetAppMerchInfo(outId:string) {
		var result = Service.Request(this.GetAppMerchInfoPath, "GET", {outId});
		return result;
	}
	
	
	private static UpdateMerchPath: string = '/Apply/UpdateMerch';
	/*****修改银盛信息*****/
	static UpdateMerch(obj:any) {
		var result = Service.Request(this.UpdateMerchPath, "POST", obj);
		return result;
	}
	
	
	private static UploadImgPath: string = '/Apply/UploadImg';
	/*****修改银盛图片*****/
	static UploadImg(outId:string,picType:string,img:string) {
		var result = Service.Request(this.UploadImgPath, "POST", {outId,picType,img});
		return result;
	}
	
	
	private static GetAgentApplyPath: string = '/Apply/GetAgentApply';
	/*****获取添加的商家*****/
	static GetAgentApply(serch:string,page:number) {
		var result = Service.Request(this.GetAgentApplyPath, "GET", {serch,page});
		return result;
	}
	
	private static GetCategoryPath: string = '/Apply/GetCategory';
	/*****获取商家类型*****/
	static GetCategory() {
		var result = Service.Request(this.GetCategoryPath, "GET", {});
		return result;
	}
	
	
	private static AddMerchInfoPath: string = '/Apply/AddMerchInfo';
	/*****添加商户*****/
	static AddMerchInfo(obj:any) {
		var result = Service.Request(this.AddMerchInfoPath, "POST", obj);
		return result;
	}
	
	
	private static BandAppIdPath: string = '/Agent/BandAppId';
	/*****绑定appid*****/
	static BandAppId(merchId:string) {
		var result = Service.Request(this.BandAppIdPath, "POST", {merchId});
		return result;
	}
	
	
	
	

}
export {
	Service,
	NvpApplyService
}
